Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationEnsembleModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationEnsembleModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationEnsembleModel.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// Represents classification solutions that contain an ensemble of multiple classification models
   /// </summary>
-  [StorableClass("8DD02E48-801E-45EA-BE51-FE19DE32DAEB")]
+  [StorableType("8DD02E48-801E-45EA-BE51-FE19DE32DAEB")]
   [Item("ClassificationEnsembleModel", "A classification model that contains an ensemble of multiple classification models")]
   public class ClassificationEnsembleModel : NamedItem, IClassificationEnsembleModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationEnsembleProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationEnsembleProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationEnsembleProblemData.cs	(revision 14711)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("AA5A8540-1674-4469-8710-C354674704C1")]
+  [StorableType("AA5A8540-1674-4469-8710-C354674704C1")]
   [Item("ClassificationEnsembleProblemData", "Represents an item containing all data defining a classification problem.")]
   public class ClassificationEnsembleProblemData : ClassificationProblemData {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationEnsembleSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationEnsembleSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationEnsembleSolution.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// Represents classification solutions that contain an ensemble of multiple classification models
   /// </summary>
-  [StorableClass("0EA56F09-C658-47A9-A946-415D59234544")]
+  [StorableType("0EA56F09-C658-47A9-A946-415D59234544")]
   [Item("Classification Ensemble Solution", "A classification solution that contains an ensemble of multiple classification models")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisEnsembles, Priority = 110)]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationPerformanceMeasures.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationPerformanceMeasures.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationPerformanceMeasures.cs	(revision 14711)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("322A7010-D1C4-4482-90D5-F1B510406855")]
+  [StorableType("322A7010-D1C4-4482-90D5-F1B510406855")]
   public class ClassificationPerformanceMeasuresResultCollection : ResultCollection {
     #region result names
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationProblem.cs	(revision 14711)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("20A0F7F1-FBF4-456B-B086-DA8A8925655F")]
+  [StorableType("20A0F7F1-FBF4-456B-B086-DA8A8925655F")]
   [Item("Classification Problem", "A general classification problem.")]
   public class ClassificationProblem : DataAnalysisProblem<IClassificationProblemData>, IClassificationProblem, IStorableContent {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationProblemData.cs	(revision 14711)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("0DA4CA4A-104D-43C8-992C-8CE840445B47")]
+  [StorableType("0DA4CA4A-104D-43C8-992C-8CE840445B47")]
   [Item("ClassificationProblemData", "Represents an item containing all data defining a classification problem.")]
   public class ClassificationProblemData : DataAnalysisProblemData, IClassificationProblemData, IStorableContent {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationSolution.cs	(revision 14711)
@@ -29,5 +29,5 @@
   /// Represents a classification data analysis solution
   /// </summary>
-  [StorableClass("B356DDF2-B07F-4211-AE74-0E7E47ABF154")]
+  [StorableType("B356DDF2-B07F-4211-AE74-0E7E47ABF154")]
   public class ClassificationSolution : ClassificationSolutionBase {
     protected readonly Dictionary<int, double> evaluationCache;
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationSolutionBase.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationSolutionBase.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationSolutionBase.cs	(revision 14711)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("08BFB1A2-9E88-473E-B995-4E8B0252B92C")]
+  [StorableType("08BFB1A2-9E88-473E-B995-4E8B0252B92C")]
   public abstract class ClassificationSolutionBase : DataAnalysisSolution, IClassificationSolution {
     private const string TrainingAccuracyResultName = "Accuracy (training)";
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ConstantClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ConstantClassificationSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ConstantClassificationSolution.cs	(revision 14711)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("49C6F7C5-BBD9-4CFB-9EFA-A17E13A63E38")]
+  [StorableType("49C6F7C5-BBD9-4CFB-9EFA-A17E13A63E38")]
   [Item(Name = "Constant Classification Solution", Description = "Represents a constant classification solution (model + data).")]
   public class ConstantClassificationSolution : ClassificationSolution {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationModel.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// Represents discriminant function classification data analysis models.
   /// </summary>
-  [StorableClass("4BF35837-8978-4620-A5F4-2F11473C5F75")]
+  [StorableType("4BF35837-8978-4620-A5F4-2F11473C5F75")]
   [Item("DiscriminantFunctionClassificationModel", "Represents a classification model that uses a discriminant function and classification thresholds.")]
   public class DiscriminantFunctionClassificationModel : NamedItem, IDiscriminantFunctionClassificationModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolution.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// Represents a classification solution that uses a discriminant function and classification thresholds.
   /// </summary>
-  [StorableClass("D74CE509-DA7D-4176-B233-B725E418B6FB")]
+  [StorableType("D74CE509-DA7D-4176-B233-B725E418B6FB")]
   [Item("DiscriminantFunctionClassificationSolution", "Represents a classification solution that uses a discriminant function and classification thresholds.")]
   public class DiscriminantFunctionClassificationSolution : DiscriminantFunctionClassificationSolutionBase {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolutionBase.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolutionBase.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolutionBase.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// Represents a classification solution that uses a discriminant function and classification thresholds.
   /// </summary>
-  [StorableClass("ADF1D4B2-53A2-45D4-82AA-0A4063440E5C")]
+  [StorableType("ADF1D4B2-53A2-45D4-82AA-0A4063440E5C")]
   [Item("DiscriminantFunctionClassificationSolution", "Represents a classification solution that uses a discriminant function and classification thresholds.")]
   public abstract class DiscriminantFunctionClassificationSolutionBase : ClassificationSolutionBase, IDiscriminantFunctionClassificationSolution {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/AccuracyMaximizationThresholdCalculator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/AccuracyMaximizationThresholdCalculator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/AccuracyMaximizationThresholdCalculator.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// Represents a threshold calculator that maximizes the weighted accuracy of the classifcation model.
   /// </summary>
-  [StorableClass("6A2B2F19-4D93-4EA1-B9BB-86013A49A0D2")]
+  [StorableType("6A2B2F19-4D93-4EA1-B9BB-86013A49A0D2")]
   [Item("AccuracyMaximizationThresholdCalculator", "Represents a threshold calculator that maximizes the weighted accuracy of the classifcation model.")]
   public class AccuracyMaximizationThresholdCalculator : ThresholdCalculator {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/NormalDistributionCutPointsThresholdCalculator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/NormalDistributionCutPointsThresholdCalculator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/NormalDistributionCutPointsThresholdCalculator.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// Represents a threshold calculator that calculates thresholds as the cutting points between the estimated class distributions (assuming normally distributed class values).
   /// </summary>
-  [StorableClass("64F90A49-6209-4FA1-BD33-14A09FF81B6E")]
+  [StorableType("64F90A49-6209-4FA1-BD33-14A09FF81B6E")]
   [Item("NormalDistributionCutPointsThresholdCalculator", "Represents a threshold calculator that calculates thresholds as the cutting points between the estimated class distributions (assuming normally distributed class values).")]
   public class NormalDistributionCutPointsThresholdCalculator : ThresholdCalculator {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/ThresholdCalculator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/ThresholdCalculator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/ThresholdCalculator.cs	(revision 14711)
@@ -29,5 +29,5 @@
   /// Base class for threshold calculators for discriminant function classification models.
   /// </summary>
-  [StorableClass("69F2CB18-BFA0-405A-963F-C97238040C6A")]
+  [StorableType("69F2CB18-BFA0-405A-963F-C97238040C6A")]
   public abstract class ThresholdCalculator : NamedItem, IDiscriminantFunctionThresholdCalculator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblem.cs	(revision 14711)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("83DF4872-DD64-4D18-A162-0E720F4D4628")]
+  [StorableType("83DF4872-DD64-4D18-A162-0E720F4D4628")]
   [Item("Clustering Problem", "A general clustering problem.")]
   public class ClusteringProblem : DataAnalysisProblem<IClusteringProblemData>, IClusteringProblem {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblemData.cs	(revision 14711)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("9DE03D68-BF5D-475F-B201-507A2D6B7AC0")]
+  [StorableType("9DE03D68-BF5D-475F-B201-507A2D6B7AC0")]
   [Item("ClusteringProblemData", "Represents an item containing all data defining a clustering problem.")]
   public sealed class ClusteringProblemData : DataAnalysisProblemData, IClusteringProblemData, IStorableContent {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringSolution.cs	(revision 14711)
@@ -29,5 +29,5 @@
   /// Represents a clustering data analysis solution
   /// </summary>
-  [StorableClass("D28D4444-44A9-44D8-9C7B-F82B41CF3767")]
+  [StorableType("D28D4444-44A9-44D8-9C7B-F82B41CF3767")]
   public class ClusteringSolution : DataAnalysisSolution, IClusteringSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/ConstantModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/ConstantModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/ConstantModel.cs	(revision 14711)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("529C52FD-3D61-434D-BDD6-CCB92AA7BF5B")]
+  [StorableType("529C52FD-3D61-434D-BDD6-CCB92AA7BF5B")]
   [Item("Constant Model", "A model that always returns the same constant value regardless of the presented input data.")]
   public class ConstantModel : NamedItem, IRegressionModel, IClassificationModel, ITimeSeriesPrognosisModel, IStringConvertibleValue {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblem.cs	(revision 14711)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("504B5C51-C162-41DC-84C0-7F45D23C7565")]
+  [StorableType("504B5C51-C162-41DC-84C0-7F45D23C7565")]
   public abstract class DataAnalysisProblem<T> : Problem, IDataAnalysisProblem<T>,
     IProblemInstanceConsumer<T>, IProblemInstanceExporter<T>
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblemData.cs	(revision 14711)
@@ -32,5 +32,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("AA614526-0A8F-4E2E-B143-E79929B44FD6")]
+  [StorableType("AA614526-0A8F-4E2E-B143-E79929B44FD6")]
   public abstract class DataAnalysisProblemData : ParameterizedNamedItem, IDataAnalysisProblemData {
     protected const string DatasetParameterName = "Dataset";
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisSolution.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// Abstract base class for data analysis solutions
   /// </summary>
-  [StorableClass("170A6832-42C1-4CD9-AE22-6EC069AD92EA")]
+  [StorableType("170A6832-42C1-4CD9-AE22-6EC069AD92EA")]
   public abstract class DataAnalysisSolution : ResultCollection, IDataAnalysisSolution {
     private const string ModelResultName = "Model";
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionModel.cs	(revision 14711)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("5DF5FA54-5252-4502-B576-FE891434CA81")]
+  [StorableType("5DF5FA54-5252-4502-B576-FE891434CA81")]
   [Item("Constant Regression Model", "A model that always returns the same constant value regardless of the presented input data.")]
   [Obsolete]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionSolution.cs	(revision 14711)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("A9B29DFE-FE9E-4EED-BAD9-A406154D9A3E")]
+  [StorableType("A9B29DFE-FE9E-4EED-BAD9-A406154D9A3E")]
   [Item(Name = "Constant Regression Solution", Description = "Represents a constant regression solution (model + data).")]
   public class ConstantRegressionSolution : RegressionSolution {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleModel.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// Represents regression solutions that contain an ensemble of multiple regression models
   /// </summary>
-  [StorableClass("84E1F7DC-EA44-47BA-957A-ECB4174B27CF")]
+  [StorableType("84E1F7DC-EA44-47BA-957A-ECB4174B27CF")]
   [Item("RegressionEnsembleModel", "A regression model that contains an ensemble of multiple regression models")]
   public class RegressionEnsembleModel : NamedItem, IRegressionEnsembleModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleProblemData.cs	(revision 14711)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("888AB250-DAB2-488A-B0E8-18E603EDE0C0")]
+  [StorableType("888AB250-DAB2-488A-B0E8-18E603EDE0C0")]
   [Item("RegressionEnsembleProblemData", "Represents an item containing all data defining a regression problem.")]
   public sealed class RegressionEnsembleProblemData : RegressionProblemData {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleSolution.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// Represents regression solutions that contain an ensemble of multiple regression models
   /// </summary>
-  [StorableClass("C04A947D-7FA8-47B9-A045-A72A5268B7E6")]
+  [StorableType("C04A947D-7FA8-47B9-A045-A72A5268B7E6")]
   [Item("Regression Ensemble Solution", "A regression solution that contains an ensemble of multiple regression models")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisEnsembles, Priority = 100)]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblem.cs	(revision 14711)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("6E82104C-1B66-4783-BE61-2391CAA0B531")]
+  [StorableType("6E82104C-1B66-4783-BE61-2391CAA0B531")]
   [Item("Regression Problem", "A general regression problem.")]
   public class RegressionProblem : DataAnalysisProblem<IRegressionProblemData>, IRegressionProblem, IStorableContent {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs	(revision 14711)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("A81C5088-A01B-44F2-AE12-733F38BA10C7")]
+  [StorableType("A81C5088-A01B-44F2-AE12-733F38BA10C7")]
   [Item("RegressionProblemData", "Represents an item containing all data defining a regression problem.")]
   public class RegressionProblemData : DataAnalysisProblemData, IRegressionProblemData, IStorableContent {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolution.cs	(revision 14711)
@@ -29,5 +29,5 @@
   /// Represents a regression data analysis solution
   /// </summary>
-  [StorableClass("24750E76-6B72-4389-8847-AD234FFFDF22")]
+  [StorableType("24750E76-6B72-4389-8847-AD234FFFDF22")]
   public class RegressionSolution : RegressionSolutionBase {
     protected readonly Dictionary<int, double> evaluationCache;
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolutionBase.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolutionBase.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolutionBase.cs	(revision 14711)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("DB55A1CE-5213-4C10-9ED6-56523523303E")]
+  [StorableType("DB55A1CE-5213-4C10-9ED6-56523523303E")]
   public abstract class RegressionSolutionBase : DataAnalysisSolution, IRegressionSolution {
     protected const string TrainingMeanSquaredErrorResultName = "Mean squared error (training)";
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/ConstantTimeSeriesPrognosisModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/ConstantTimeSeriesPrognosisModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/ConstantTimeSeriesPrognosisModel.cs	(revision 14711)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("07695084-D7E6-4487-9FDF-C567C458AD35")]
+  [StorableType("07695084-D7E6-4487-9FDF-C567C458AD35")]
   [Item("Constant TimeSeries Model", "A time series model that returns for all prediciton the same constant value.")]
   [Obsolete]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/TimeSeriesPrognosisAutoRegressiveModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/TimeSeriesPrognosisAutoRegressiveModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/TimeSeriesPrognosisAutoRegressiveModel.cs	(revision 14711)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("2FDD28A6-8FF5-4ECE-9145-9D23C6E8A0E1")]
+  [StorableType("2FDD28A6-8FF5-4ECE-9145-9D23C6E8A0E1")]
   [Item("Autoregressive TimeSeries Model", "A linear autoregressive time series model used to predict future values.")]
   public class TimeSeriesPrognosisAutoRegressiveModel : NamedItem, ITimeSeriesPrognosisModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblem.cs	(revision 14711)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("B028DB4F-ED00-4EAF-8F64-16398E788D7D")]
+  [StorableType("B028DB4F-ED00-4EAF-8F64-16398E788D7D")]
   [Item("Time-series Prognosis Problem", "A general time-series prognosis problem.")]
   public class TimeSeriesPrognosisProblem : DataAnalysisProblem<ITimeSeriesPrognosisProblemData>, ITimeSeriesPrognosisProblem {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblemData.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblemData.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblemData.cs	(revision 14711)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("35FCCE5F-B1E4-48D2-8567-BCCBE42A90D0")]
+  [StorableType("35FCCE5F-B1E4-48D2-8567-BCCBE42A90D0")]
   [Item("TimeSeriesPrognosisProblemData", "Represents an item containing all data defining a time series prognosis problem.")]
   public class TimeSeriesPrognosisProblemData : RegressionProblemData, ITimeSeriesPrognosisProblemData {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisResults.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisResults.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisResults.cs	(revision 14711)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("B34891AD-2C36-40AE-93B2-59DAE616DDEE")]
+  [StorableType("B34891AD-2C36-40AE-93B2-59DAE616DDEE")]
   [Item("Prognosis Results", "Represents a collection of time series prognosis results.")]
   public class TimeSeriesPrognosisResults : ResultCollection {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolution.cs	(revision 14711)
@@ -28,5 +28,5 @@
   /// Represents a time series prognosis data analysis solution
   /// </summary>
-  [StorableClass("C8E2A589-8DFD-4253-A5A3-7CA2B51FBF50")]
+  [StorableType("C8E2A589-8DFD-4253-A5A3-7CA2B51FBF50")]
   public class TimeSeriesPrognosisSolution : TimeSeriesPrognosisSolutionBase {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolutionBase.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolutionBase.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolutionBase.cs	(revision 14711)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("AE448E78-5BD4-4DC5-8D4C-438A6AB13968")]
+  [StorableType("AE448E78-5BD4-4DC5-8D4C-438A6AB13968")]
   public abstract class TimeSeriesPrognosisSolutionBase : RegressionSolutionBase, ITimeSeriesPrognosisSolution {
     #region result names
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/CopyColumnTransformation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/CopyColumnTransformation.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/CopyColumnTransformation.cs	(revision 14711)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("33523EF7-0312-40D6-B54E-D1C92B50F522")]
+  [StorableType("33523EF7-0312-40D6-B54E-D1C92B50F522")]
   [Item("CopyColumnTransformation", "Represents a transformation which represents a copied Column.")]
   public class CopyColumnTransformation : Transformation {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ExponentialTransformation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ExponentialTransformation.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ExponentialTransformation.cs	(revision 14711)
@@ -9,5 +9,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("C57F9221-15A5-44E8-8E04-5F06205C4564")]
+  [StorableType("C57F9221-15A5-44E8-8E04-5F06205C4564")]
   [Item("Exponential Transformation", "f(x) = b ^ x | Represents a exponential transformation.")]
   public class ExponentialTransformation : Transformation<double> {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/LinearTransformation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/LinearTransformation.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/LinearTransformation.cs	(revision 14711)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("67C4EA60-8AB0-408E-B27E-0BD8326FC7E7")]
+  [StorableType("67C4EA60-8AB0-408E-B27E-0BD8326FC7E7")]
   [Item("Linear Transformation", "f(x) = k * x + d | Represents a linear transformation with multiplication and addition.")]
   public class LinearTransformation : Transformation<double> {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/LogarithmicTransformation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/LogarithmicTransformation.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/LogarithmicTransformation.cs	(revision 14711)
@@ -9,5 +9,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("5FB34240-BA4F-4632-BE2C-F93B133530BA")]
+  [StorableType("5FB34240-BA4F-4632-BE2C-F93B133530BA")]
   [Item("Logarithmic Transformation", "f(x) = log(x, b) | Represents a logarithmic transformation.")]
   public class LogarithmicTransformation : Transformation<double> {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/PowerTransformation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/PowerTransformation.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/PowerTransformation.cs	(revision 14711)
@@ -9,5 +9,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("3752B0C3-B7DB-4AA8-93D4-5490218B5ECB")]
+  [StorableType("3752B0C3-B7DB-4AA8-93D4-5490218B5ECB")]
   [Item("Power Transformation", "f(x) = x ^ exp | Represents a power transformation.")]
   public class PowerTransformation : Transformation<double> {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ReciprocalTransformation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ReciprocalTransformation.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ReciprocalTransformation.cs	(revision 14711)
@@ -7,5 +7,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("01A9DA53-807E-4326-9B99-23C3C82DE1A6")]
+  [StorableType("01A9DA53-807E-4326-9B99-23C3C82DE1A6")]
   [Item("Reciprocal Transformation", "f(x) = 1 / x | Represents a reciprocal transformation.")]
   public class ReciprocalTransformation : Transformation<double> {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ShiftStandardDistributionTransformation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ShiftStandardDistributionTransformation.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ShiftStandardDistributionTransformation.cs	(revision 14711)
@@ -8,5 +8,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("D257BD5F-CC14-490B-9A89-C6CC2434B83F")]
+  [StorableType("D257BD5F-CC14-490B-9A89-C6CC2434B83F")]
   [Item("Shift Standard Distribution Transformation", "f(x) = ((x - m_org) / s_org ) * s_tar + m_tar | Represents Transformation to unit standard deviation and additional linear transformation to a target Mean and Standard deviation")]
   public class ShiftStandardDistributionTransformation : Transformation<double> {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ShiftToRangeTransformation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ShiftToRangeTransformation.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ShiftToRangeTransformation.cs	(revision 14711)
@@ -8,5 +8,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass("CBD2F4E0-5535-43EA-B9ED-49B9BDE957BA")]
+  [StorableType("CBD2F4E0-5535-43EA-B9ED-49B9BDE957BA")]
   [Item("Shift to Range Transformation", "f(x) = k * x + d, start <= f(x) <= end | Represents a linear Transformation using Parameters defining a target range")]
   public class ShiftToRangeTransformation : LinearTransformation {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/Transformation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/Transformation.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/Transformation.cs	(revision 14711)
@@ -57,5 +57,5 @@
 
   [Item("Transformation", "Represents the base class for a transformation.")]
-  [StorableClass("C45D37D2-435E-4579-95BC-FD2873FB6FD1")]
+  [StorableType("C45D37D2-435E-4579-95BC-FD2873FB6FD1")]
   public abstract class Transformation<T> : Transformation, ITransformation<T> {
 
